DocsAPI ReferencePost/bff/post/post-toggle-star
postPostAdmin BFF

/bff/post/post-toggle-star

Sets or clears the starred/featured flag on a post. Starred posts appear first in the post list.

PostpostBffPostPost-toggle-star

Parameters

2 body

2 total
Body · 2
idstringRequired

Post external ID.

valuebooleanRequired

True to star the post, false to unstar it.

Request

POST /bff/post/post-toggle-star

post
curl -X POST "https://api.bizkithub.com/bff/post/post-toggle-star" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": "example_id",
  "value": false
}'

Response

JSON payload

{
  "success": true
}

All response codes

1 status code documented

Need an API key?

All BizKitHub API endpoints require authentication via API key.

Get API Key